Page MenuHomePhabricator

Cannot login to AutoWikiBrowser: "Fetching a token via action=login is deprecated. Use action=query&meta=tokens&type=login instead."
Closed, ResolvedPublic

Description

Operation 'login' ended with result 'NeedToken'.
Xml: '<?xml version="1.0"?><api><warnings><login xml:space="preserve">Fetching a token via action=login is deprecated. Use action=query&amp;meta=tokens&amp;type=login instead.</login></warnings><login result="NeedToken" token="a69400c8a44ac98e9495258b423e534956bc031a+\" cookieprefix="enwiktionary" sessionid="435q4mp4e048qajsd3r4d1nr35jusqf7" /></api>'

A quick fix needed: Use action=query&amp;meta=tokens&amp;type=login instead.

Event Timeline

kc_kennylau raised the priority of this task from to Needs Triage.
kc_kennylau updated the task description. (Show Details)
kc_kennylau added a project: AutoWikiBrowser.
kc_kennylau added a subscriber: kc_kennylau.
Restricted Application added subscribers: StudiesWorld, Josve05a, Aklapper. · View Herald TranscriptFeb 11 2016, 3:43 AM
kc_kennylau renamed this task from Cannot login to Cannot login to AutoWikiBrowser.Feb 11 2016, 3:44 AM
kc_kennylau set Security to None.
kc_kennylau triaged this task as Unbreak Now! priority.Feb 11 2016, 6:56 AM
Auntof6 added a comment.EditedFeb 11 2016, 8:01 AM

I got a similar error trying to log in to use AWB on Wikimedia Commons. I do not get the error when logging in to use it on English or Simple English Wikipedias.

Aklapper renamed this task from Cannot login to AutoWikiBrowser to Cannot login to AutoWikiBrowser: "Fetching a token via action=login is deprecated. Use action=query&meta=tokens&type=login instead.".Feb 11 2016, 8:55 AM
Rjwilmsi closed this task as Resolved.Feb 11 2016, 12:41 PM
Rjwilmsi claimed this task.
Rjwilmsi added a subscriber: Rjwilmsi.

rev 11887 fixes

We will need to issue a new point release of AWB for commons/wiktionary users.

Vladis13 added a subscriber: Vladis13.EditedFeb 11 2016, 2:53 PM

@Rjwilmsi Also, no logging in ru.wikisource. When will fix?

Release 5.8.5.1 with this fix is on sourceforge now

If I update to the newest version, will my saved settings still be intact or will I have to start over?

If I update to the newest version, will my saved settings still be intact or will I have to start over?

Your saved settings will still be intact.

Updated to latest version and logged on successfully. Thanks folks.

Meno25 removed a subscriber: Meno25.Feb 14 2016, 5:41 PM
Checkingfax added a subscriber: Checkingfax.
Anomie merged a task: Restricted Task.Feb 21 2016, 5:10 PM
Anomie added subscribers: Krenair, Liuxinyu970226, Jules78120.
Josve05a merged a task: Restricted Task.Mar 6 2016, 9:07 AM
Josve05a added a subscriber: Peteforsyth.

Not sure if tasks with tokens should be protected as a security isue? @Aklapper, @Krenair: thoughts?

The oAuth tokens can be revoked.

Krenair set Security to Software security bug.Mar 6 2016, 1:03 PM
Krenair added a project: Security.
Krenair changed the visibility from "Public (No Login Required)" to "Custom Policy".

No idea whether that session or token are valid or not, and no idea how to check. Being cautious and hiding this until someone who does know can check. Please don't ask me and Andre about such things - Chris, Brad and Gergo would know. It's probably a bad idea to post such comments on currently-public tasks.

Anomie added a subscriber: Anomie.Mar 7 2016, 2:49 PM

Chances are it was valid for about an hour after the bug was posted, then it would have expired unless someone continued to use it. That session ID does not appear to currently exist at any rate.

Krenair changed the visibility from "Custom Policy" to "Public (No Login Required)".

I got a similar error trying to log in to use AWB on Wikimedia Commons. I do not get the error when logging in to use it on English or Simple English Wikipedias.

I tried in English, Tajik and Russian, it gives this error